var suitehelp = {};
suitehelp.contexts={"bw.amqp_bw.amqp.AmqpSender":"GUID-7E801085-2B98-4C2D-86C6-EDF4241945B1.html","bw.amqp_bw.amqp.GetAmqpMessage":"GUID-BAAFD720-0613-4DDC-91F9-15B82B10F7CB.html","AmqpConnection":"GUID-EC6B250A-D013-4965-95E1-C63B9E4531CE.html","bw.amqp_bw.amqp.AmqpReceiver":"GUID-22506FEF-48BD-4287-89EE-B5C009D1FDDC.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();